@import url('https://fonts.googleapis.com/css2?family=Noto+Sans&display=swap');

body {
    margin: 0;
    font-family: 'Noto Sans', sans-serif;
}

body * {
    box-sizing: border-box;
}

.container {
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #201b2c;
}

.left-login {
    width: 50vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.left-login h1 {
    font-size: 3vw;
    color: #77ffc0;
}

.image {
    width: 35vw;
}

.right-login {
    width: 50vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.card-login {
    width: 60%;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
    padding: 20px 35px;
    background-color: #2f2841;
    border-radius: 20px;
    box-shadow: 0px 10px 40px #00000056;
    font-family: 'Noto Sans', sans-serif;
    font-weight: lighter;
}

.card-login > h1 {
    color: #00ff88;
    font-weight: 800;
    margin: 0;
    text-transform: uppercase;
}

.textfield {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    justify-content: center;
    margin: 10px 0px;
}

.textfield > input {
    width: 100%;
    border: none;
    border-radius: 4px;
    padding: 15px;
    background: #514869;
    color: #f0ffffde;
    font-size: 12pt;
    box-shadow: 0px 10px 40px #00000056;
    outline: none;
    box-sizing: border-box;
}

.textfield label {
    color: #f0ffffde;
    margin-top: 10px;
}

.textfield input::placeholder {
    color: #f0ffff94;
}


button {
    background-color: #00ff88;
    padding: 16px 0px;
    box-shadow: 0px 10px 40px -12px #00ff8052;
    width: 100%;
    border-radius: 4px;
    font-weight: 800;
    border: none;
    outline: none;
    opacity: 0.9;
    margin: 25px;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: #2b134b;
    cursor: pointer;
}

button:hover {
    opacity: 1;
}

footer {
    background-color: #201b2c;
    height: 5vh;
    padding-top: 0px;
    border: none;
    margin: none;
}

footer p {
    margin: 0px;
    padding: 10px 0px 0px 4px;
    font-size: 11.5px;
    color: gray
}

@media only screen and (max-width: 950px) {
    .card-login {
        width: 85%;
    }
}

@media only screen and (max-width: 600px) {
    .container {
        flex-direction: column;
    }
    .left-login > h1 {
        display: none;

    }

    .left-login {
        width: 100%;
        height: auto;
    }

    .right-login {
        width: 100%;
        height: auto;
    }

    .image {
        width: 50vw;
        margin-bottom: 32px;
    }
    
    .card-login {
        width: 90%;
    }

    footer {

        height: 6vh;

    }
}

